import type { _INIntent } from "./INIntent.js";
import type { _INRestaurant } from "./INRestaurant.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _INGetUserCurrentRestaurantReservationBookingsIntent extends _INIntent {
    static alloc(): _INGetUserCurrentRestaurantReservationBookingsIntent;
    static new(): _INGetUserCurrentRestaurantReservationBookingsIntent;
    init(): _INGetUserCurrentRestaurantReservationBookingsIntent;
    initWithRestaurant$reservationIdentifier$maximumNumberOfResults$earliestBookingDateForResults$(restaurant: _INRestaurant | null, reservationIdentifier: _NSString | null, maximumNumberOfResults: _NSNumber | null, earliestBookingDateForResults: _NSDate | null): _INGetUserCurrentRestaurantReservationBookingsIntent;
    /** optional filter to just reservations at restaurant */
    restaurant(): _INRestaurant | null;
    setRestaurant$(value: _INRestaurant | null): void;
    /** optional filter to reservation with exact ID */
    reservationIdentifier(): _NSString | null;
    setReservationIdentifier$(value: _NSString | null): void;
    /**
     * if the caller has a preferred maximum number of results, one can optionally be specified. a nil here leaves it up to the extension
     */
    maximumNumberOfResults(): _NSNumber | null;
    setMaximumNumberOfResults$(value: _NSNumber | null): void;
    /**
     * specifies the earliest booking date desired for results, including dates in the past
     */
    earliestBookingDateForResults(): _NSDate | null;
    setEarliestBookingDateForResults$(value: _NSDate | null): void;
}
export interface _INGetUserCurrentRestaurantReservationBookingsIntent extends _NSCopying {
}
